<?php
	session_start();
	define("VALID_CMS", 1);
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
    define('HOST', 'http://' . $_SERVER['HTTP_HOST']);
	include(PATH.'/core/cms.php');
    $inCore = cmsCore::getInstance();
    $inCore->loadClass('config');       //
    $inCore->loadClass('db');           // 
    $inCore->loadClass('user');
    $inDB   = cmsDatabase::getInstance();
    $inUser = cmsUser::getInstance();
    $inUser->update();
	cmsCore::loadLanguage('lang');
	function usrBlog($user_id){
	return dbGetFields('cms_blogs', 'owner="user" AND user_id = '.$user_id, 'id, seolink', 'owner');
}

   // if (!$inUser->id) { return; }
    
	$login = $inCore->request('login', 'str');
    $login = urldecode($login);

$sql = "SELECT u.id, u.login, u.nickname, u.logdate, u.birthdate, u.rating, u.status as status_text, p.imageurl, p.city, p.karma, p.imageurl, p.gender, o.user_id as status
				FROM cms_users u
				INNER JOIN cms_user_profiles p ON p.user_id = u.id
				LEFT JOIN cms_online o ON o.user_id = u.id
				WHERE u.login='{$login}' AND u.is_deleted = 0 AND u.is_locked=0
				LIMIT 1";
	$result = $inDB->query($sql) ;


$users = array();
$is_usr = false;				

if ($inDB->num_rows($result)){
				$is_usr=true;
while($usr = $inDB->fetch_assoc($result)){
$usr['status']	= ($usr['status'] == $usr['id'] ? '<span class="online"> </span>' : '');
$usr['flogdate'] = $inCore->dateFormat($usr['logdate']);
if (!$usr['imageurl'] && @file_exists($_SERVER['DOCUMENT_ROOT'].'/images/users/avatars/'.$usr['imageurl'])){
switch($usr['gender']){
	case 'm': $usr['imageurl'] = 'nopic_male.jpg'; break; 
	case 'f': $usr['imageurl'] = 'nopic_female.jpg'; break;
	default : $usr['imageurl'] = 'nopic.jpg';  break;}
	} 
	

    $usr['blog']            = usrBlog($usr['id']);
    $usr['blog_id']         = $usr['blog']['id'];
    $usr['blog_seolink']    = $usr['blog']['seolink'];

  
	

$users[] = $usr;
							
	}
}

    $inCore->loadSmarty();
    $smarty=new Smarty();
	$smarty= $inCore->initSmarty('plugins', 'p_usertip.tpl');
	$smarty->assign('users', $users);
	$smarty->assign('my_profile', ($inUser->id));
    $smarty->assign('is_usr', $is_usr);
    $smarty->display('p_usertip.tpl');

?>

